<fieldset>
	<script type='text/javascript'>
		$(document).ready(function() {
			toggle_file_opts();
		});
	
		function toggle_file_opts() {
			opt = $('#fileoperationaction').val();
			switch(opt) {
				case 'rename_file':
					$('#file_operation_newname').show();
					$('#file_operation_perms').hide();
				break;
				
				case 'change_ownership':
					$('#file_operation_newname').hide();
					$('#file_operation_perms').hide();
				break;
				
				case 'change_permission':
					$('#file_operation_newname').hide();
					$('#file_operation_perms').show();
				break;
				
				case 'create_dir':
				case 'touch_file':
				case 'delete_file':
				default:
					$('#file_operation_newname').hide();
					$('#file_operation_perms').hide();
				break;
			
			}
		
		}
	
	</script>



    <div class="control-group">
        <label class="control-label required"><?php echo _('Action'); ?></label>
		 <div class="controls">
            <select id='fileoperationaction' name="action" class="span4" onchange="toggle_file_opts()">
                <option value="create_dir" <?php echo reactor_option_selected('action','create_dir', $defaults) ?> >Create directory</option>
				<option value="touch_file" <?php echo reactor_option_selected('action','touch_file', $defaults) ?> >Touch file</option>
				<option value="rename_file" <?php echo reactor_option_selected('action','rename_file', $defaults) ?> >Rename file</option>
				<option value="delete_file" <?php echo reactor_option_selected('action','delete_file', $defaults) ?> >Delete file</option>
				<option value="change_permission" <?php echo reactor_option_selected('action','change_permission', $defaults) ?> >Change file permission (chmod)</option>
            </select>
			<?php echo form_error('action') ?>
			<span class="help-inline">
                <?php echo question_tooltip('Simple flie operations.'); ?>
         </span>
        </div>
    </div>


    <div class="control-group">
        <label class="control-label required"><?php echo _('File/Directory name'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'filename',
                'class' => 'span4',
                'value' => set_value('filename', @$defaults['filename']))); ?>
            <?php echo form_error('filename') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Specify a UNIX absolute path.'); ?>
        </span>
        </div>
    </div>

    <div class="control-group" id="file_operation_perms">
        <label class="control-label required"><?php echo _('Permissions'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'perms',
                'class' => 'span1',
                'value' => set_value('perms', @$defaults['perms']))); ?>
            <?php echo form_error('perms') ?>
		  <span class="help-inline">
                <?php echo question_tooltip('Specify a UNIX file permission in octal format. Example: 0755.'); ?>
        </span>        
        </div>
    </div>	
	
	<div class="control-group" id="file_operation_newname">
        <label class="control-label"><?php echo _('New Filename'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'newname',
                'class' => 'span4',
                'value' => set_value('newname', @$defaults['newname']))); ?>
            <?php echo form_error('newname') ?>
		  <span class="help-inline">
                <?php echo question_tooltip('Specify a UNIX absolute path.'); ?>
        </span>        
        </div>
    </div>	
	
</fieldset>
